function [s,wt]=vsettings(datadim,datasizes,iscirc)
numdatasizes=sscanf(datasizes,'%fx%d %*s',[1,Inf]);
if datadim==1
    s={'plot','stem','bar','area'};
    if mod(log2(numdatasizes),1)==0
        wt={'Select...','1D Continuous Wavelet Transform','1D Discrete Wavelet Transform','1D Stationary Wavelet Transform','1D Undecimated Wavelet Transform','1D Complex Wavelet Transform','1D Discrete Fractional Wavelet Transform','1D Discrete Fractional Wavelet Transform (causal)'};
    else
        wt={'Select...','1D Continuous Wavelet Transform','1D Discrete Wavelet Transform','1D Undecimated Wavelet Transform'};
    end
elseif datadim==2
    if iscirc==1
        s={'contour','surf','pcolor','surfl','mesh'};
    else
        s={'image','imagesc','contour','contourf','pcolor','surf','surfc','surfl','mesh','meshc','waterfall','ribbon'};
    end
    if mod(log2(numdatasizes),1)==0
        wt={'Select...','2D Discrete Wavelet Transform','2D Stationary Wavelet Transform','2D Undecimated Wavelet Transform','2D Complex Wavelet Transform','2D Discrete Fractional Wavelet Transform','2D Discrete Fractional Wavelet Transform (causal)','2D Discrete Multiwavelet Transform','2D Quincunx Wavelet Transform'};
    else
        wt={'Select...','2D Discrete Wavelet Transform','2D Undecimated Wavelet Transform'};
    end
elseif datadim==3
    s={'Volumetric plot'};
    if mod(log2(numdatasizes),1)==0
        wt={'Select...','3D Discrete Wavelet Transform','3D Complex Wavelet Transform'};
    else
        wt={'Select...','3D Discrete Wavelet Transform'};
    end
end